Page MenuHomePhabricator

[M] Media Search: Center loading icon under grid when quick view is open
Closed, ResolvedPublic

Description

Currently the loading indicator sits underneath both the results and the quick view when it is activated.

Can we center the loading indicator underneath the grid, since that is what is loading?

Event Timeline

mwilliams created this task.Aug 6 2020, 9:36 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 6 2020, 9:36 PM
mwilliams updated the task description. (Show Details)Aug 6 2020, 10:34 PM
CBogen renamed this task from Media Search: Center loading icon under grid when quick view is open to [S] Media Search: Center loading icon under grid when quick view is open.Aug 26 2020, 4:29 PM
AnneT renamed this task from [S] Media Search: Center loading icon under grid when quick view is open to [M] Media Search: Center loading icon under grid when quick view is open.Dec 2 2020, 11:17 PM
AnneT claimed this task.
AnneT added subscribers: egardner, AnneT.

Changing this to medium because it involves either a nontrivial architectural change, or adding something to state to indicate whether QuickView is open... cc @egardner

Change 655181 had a related patch set uploaded (by Anne Tomasevich; owner: Anne Tomasevich):
[mediawiki/extensions/WikibaseMediaInfo@master] Move loading icon and "load more" button to SearchResults component

https://gerrit.wikimedia.org/r/655181

Change 655181 merged by jenkins-bot:
[mediawiki/extensions/WikibaseMediaInfo@master] Move loading icon and loading state components into SearchResults

https://gerrit.wikimedia.org/r/655181

Etonkovidova closed this task as Resolved.Wed, Jan 20, 11:41 PM
Etonkovidova added a subscriber: Etonkovidova.

Checked in commons wmf.27 - looks as expected: